Globals (Apache Tomcat 9.0.117 API Documentation)
Description: declaration: package: org.apache.catalina, class: Globals

# Class Globals

java.lang.Object
org.apache.catalina.Globals

public final class Globals extends Object
Global constants that are applicable to multiple packages within Catalina.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALT_DD_ATTR`
  The servlet context attribute under which we store the alternate deployment descriptor for this web application
  `static final String`
  `ASYNC_SUPPORTED_ATTR`
  `static final String`
  `CATALINA_BASE_PROP`
  Name of the system property containing the tomcat instance installation path
  `static final String`
  `CATALINA_HOME_PROP`
  Name of the system property containing the tomcat product installation path
  `static final String`
  `CERTIFICATES_ATTR`
  The request attribute under which we store the array of X509Certificate objects representing the certificate chain presented by our client, if any.
  `static final String`
  `CIPHER_SUITE_ATTR`
  The request attribute under which we store the name of the cipher suite being used on an SSL connection (as an object of type `String`).
  `static final String`
  `CLASS_PATH_ATTR`
  The servlet context attribute under which we store the class path for our application class loader (as an object of type String), delimited with the appropriate path delimiter for this platform.
  `static final String`
  `CONNECTION_ID`
  The request attribute used to expose the current connection ID associated with the request, if any.
  `static final String`
  `CONTENT_TYPE_FORM_URL_ENCODING`
  `static final String`
  `CREDENTIAL_HANDLER`
  Name of the ServletContext attribute under which we store the context Realm's CredentialHandler (if both the Realm and the CredentialHandler exist).
  `static final String`
  `DEFAULT_MBEAN_DOMAIN`
  Default domain for MBeans if none can be determined
  `static final String`
  `DISPATCHER_REQUEST_PATH_ATTR`
  Request dispatcher path.
  `static final String`
  `DISPATCHER_TYPE_ATTR`
  Request dispatcher state.
  `static final String`
  `GSS_CREDENTIAL_ATTR`
  `static final boolean`
  `IS_SECURITY_ENABLED`
  Has security been turned on?
  `static final String`
  `JASPER_XML_BLOCK_EXTERNAL_INIT_PARAM`
  Name of the ServletContext init-param that determines if the JSP engine will block external entities from being used in *.tld, *.jspx, *.tagx and tagplugin.xml files.
  `static final String`
  `JASPER_XML_VALIDATION_TLD_INIT_PARAM`
  Name of the ServletContext init-param that determines if the JSP engine should validate *.tld files when parsing them.
  `static final String`
  `KEY_SIZE_ATTR`
  The request attribute under which we store the key size being used for this SSL connection (as an object of type `Integer`).
  `static final String`
  `NAMED_DISPATCHER_ATTR`
  The request attribute under which we store the servlet name on a named dispatcher request.
  `static final String`
  `PARAMETER_PARSE_FAILED_ATTR`
  The request attribute that is set to `Boolean.TRUE` if some request parameters have been ignored during request parameters parsing.
  `static final String`
  `PARAMETER_PARSE_FAILED_REASON_ATTR`
  The reason that the parameter parsing failed.
  `static final String`
  `REMOTE_ADDR_ATTRIBUTE`
  The request attribute set by the RemoteIpFilter, RemoteIpValve (and may be set by other similar components) that identifies for the connector the remote IP address claimed to be associated with this request when a request is received via one or more proxies.
  `static final String`
  `REMOTE_IP_FILTER_SECURE`
  The request attribute that is set to the value of `Boolean.TRUE` if `RemoteIpFilter` determines that this request was submitted via a secure channel.
  `static final String`
  `REQUEST_FORWARDED_ATTRIBUTE`
  The request attribute that is set to the value of `Boolean.TRUE` by the RemoteIpFilter, RemoteIpValve (and other similar components) that identifies a request which been forwarded via one or more proxies.
  `static final String`
  `RESOURCES_ATTR`
  The WebResourceRoot which is associated with the context.
  `static final String`
  `SENDFILE_FILE_END_ATTR`
  The request attribute that can be used by a servlet to pass to the connector the end offset (not including) of the part of a file that is to be served by sendfile.
  `static final String`
  `SENDFILE_FILE_START_ATTR`
  The request attribute that can be used by a servlet to pass to the connector the start offset of the part of a file that is to be served by sendfile.
  `static final String`
  `SENDFILE_FILENAME_ATTR`
  The request attribute that can be used by a servlet to pass to the connector the name of the file that is to be served by sendfile.
  `static final String`
  `SENDFILE_SUPPORTED_ATTR`
  The request attribute that is set to the value of `Boolean.TRUE` if connector processing this request supports use of sendfile.
  `static final String`
  `SSI_FLAG_ATTR`
  Deprecated.
  Unused.
  `static final String`
  `SSL_SESSION_ID_ATTR`
  The request attribute under which we store the session id being used for this SSL connection (as an object of type `String`).
  `static final String`
  `SSL_SESSION_MGR_ATTR`
  The request attribute key for the session manager.
  `static final String`
  `STREAM_ID`
  The request attribute used to expose the current stream ID associated with the request, if any.
  `static final boolean`
  `STRICT_SERVLET_COMPLIANCE`
  The flag which controls strict servlet specification compliance.
  `static final String`
  `SUBJECT_ATTR`
  Deprecated.
  Will be removed from Tomcat 11 onwards when support for the SecurityManager is removed.
  `static final String`
  `WEBAPP_VERSION`
  Name of the ServletContext attribute under which we store the web application version string (the text that appears after ## when parallel deployment is used).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Globals()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ASYNC_SUPPORTED_ATTR

    public static final String ASYNC_SUPPORTED_ATTR
    See Also:
      - Constant Field Values

  - ### GSS_CREDENTIAL_ATTR

    public static final String GSS_CREDENTIAL_ATTR
    See Also:
      - Constant Field Values

  - ### DISPATCHER_TYPE_ATTR

    public static final String DISPATCHER_TYPE_ATTR
    Request dispatcher state.
    See Also:
      - Constant Field Values

  - ### DISPATCHER_REQUEST_PATH_ATTR

    public static final String DISPATCHER_REQUEST_PATH_ATTR
    Request dispatcher path.
    See Also:
      - Constant Field Values

  - ### NAMED_DISPATCHER_ATTR

    public static final String NAMED_DISPATCHER_ATTR
    The request attribute under which we store the servlet name on a named dispatcher request.
    See Also:
      - Constant Field Values

  - ### CONNECTION_ID

    public static final String CONNECTION_ID
    The request attribute used to expose the current connection ID associated with the request, if any. Used with multiplexing protocols such as HTTTP/2.
    See Also:
      - Constant Field Values

  - ### STREAM_ID

    public static final String STREAM_ID
    The request attribute used to expose the current stream ID associated with the request, if any. Used with multiplexing protocols such as HTTTP/2.
    See Also:
      - Constant Field Values

  - ### PARAMETER_PARSE_FAILED_ATTR

    public static final String PARAMETER_PARSE_FAILED_ATTR
    The request attribute that is set to `Boolean.TRUE` if some request parameters have been ignored during request parameters parsing. It can happen, for example, if there is a limit on the total count of parseable parameters, or if parameter cannot be decoded, or any other error happened during parameter parsing.
    See Also:
      - Constant Field Values

  - ### PARAMETER_PARSE_FAILED_REASON_ATTR

    public static final String PARAMETER_PARSE_FAILED_REASON_ATTR
    The reason that the parameter parsing failed.
    See Also:
      - Constant Field Values

  - ### REMOTE_ADDR_ATTRIBUTE

    public static final String REMOTE_ADDR_ATTRIBUTE
    The request attribute set by the RemoteIpFilter, RemoteIpValve (and may be set by other similar components) that identifies for the connector the remote IP address claimed to be associated with this request when a request is received via one or more proxies. It is typically provided via the X-Forwarded-For HTTP header. Duplicated here for neater code in the catalina packages.
    See Also:
      - Constant Field Values

  - ### REQUEST_FORWARDED_ATTRIBUTE

    public static final String REQUEST_FORWARDED_ATTRIBUTE
    The request attribute that is set to the value of `Boolean.TRUE` by the RemoteIpFilter, RemoteIpValve (and other similar components) that identifies a request which been forwarded via one or more proxies.
    See Also:
      - Constant Field Values

  - ### SENDFILE_SUPPORTED_ATTR

    public static final String SENDFILE_SUPPORTED_ATTR
    The request attribute that is set to the value of `Boolean.TRUE` if connector processing this request supports use of sendfile. Duplicated here for neater code in the catalina packages.
    See Also:
      - Constant Field Values

  - ### REMOTE_IP_FILTER_SECURE

    public static final String REMOTE_IP_FILTER_SECURE
    The request attribute that is set to the value of `Boolean.TRUE` if `RemoteIpFilter` determines that this request was submitted via a secure channel.
    See Also:
      - Constant Field Values

  - ### SENDFILE_FILENAME_ATTR

    public static final String SENDFILE_FILENAME_ATTR
    The request attribute that can be used by a servlet to pass to the connector the name of the file that is to be served by sendfile. The value should be `String` that is `File.getCanonicalPath()` of the file to be served. Duplicated here for neater code in the catalina packages.
    See Also:
      - Constant Field Values

  - ### SENDFILE_FILE_START_ATTR

    public static final String SENDFILE_FILE_START_ATTR
    The request attribute that can be used by a servlet to pass to the connector the start offset of the part of a file that is to be served by sendfile. The value should be `Long`. To serve complete file the value should be `Long.valueOf(0)`. Duplicated here for neater code in the catalina packages.
    See Also:
      - Constant Field Values

  - ### SENDFILE_FILE_END_ATTR

    public static final String SENDFILE_FILE_END_ATTR
    The request attribute that can be used by a servlet to pass to the connector the end offset (not including) of the part of a file that is to be served by sendfile. The value should be `java.lang.Long`. To serve complete file the value should be equal to the length of the file. Duplicated here for neater code in the catalina packages.
    See Also:
      - Constant Field Values

  - ### CERTIFICATES_ATTR

    public static final String CERTIFICATES_ATTR
    The request attribute under which we store the array of X509Certificate objects representing the certificate chain presented by our client, if any.
    See Also:
      - Constant Field Values

  - ### CIPHER_SUITE_ATTR

    public static final String CIPHER_SUITE_ATTR
    The request attribute under which we store the name of the cipher suite being used on an SSL connection (as an object of type `String`).
    See Also:
      - Constant Field Values

  - ### KEY_SIZE_ATTR

    public static final String KEY_SIZE_ATTR
    The request attribute under which we store the key size being used for this SSL connection (as an object of type `Integer`).
    See Also:
      - Constant Field Values

  - ### SSL_SESSION_ID_ATTR

    public static final String SSL_SESSION_ID_ATTR
    The request attribute under which we store the session id being used for this SSL connection (as an object of type `String`).
    See Also:
      - Constant Field Values

  - ### SSL_SESSION_MGR_ATTR

    public static final String SSL_SESSION_MGR_ATTR
    The request attribute key for the session manager. This one is a Tomcat extension to the Servlet spec.
    See Also:
      - Constant Field Values

  - ### SUBJECT_ATTR

    @Deprecated public static final String SUBJECT_ATTR
    Deprecated.
    Will be removed from Tomcat 11 onwards when support for the SecurityManager is removed.
    The subject under which the AccessControlContext is running.
    See Also:
      - Constant Field Values

  - ### ALT_DD_ATTR

    public static final String ALT_DD_ATTR
    The servlet context attribute under which we store the alternate deployment descriptor for this web application
    See Also:
      - Constant Field Values

  - ### CLASS_PATH_ATTR

    public static final String CLASS_PATH_ATTR
    The servlet context attribute under which we store the class path for our application class loader (as an object of type String), delimited with the appropriate path delimiter for this platform.
    See Also:
      - Constant Field Values

  - ### CREDENTIAL_HANDLER

    public static final String CREDENTIAL_HANDLER
    Name of the ServletContext attribute under which we store the context Realm's CredentialHandler (if both the Realm and the CredentialHandler exist).
    See Also:
      - Constant Field Values

  - ### RESOURCES_ATTR

    public static final String RESOURCES_ATTR
    The WebResourceRoot which is associated with the context. This can be used to manipulate static files.
    See Also:
      - Constant Field Values

  - ### WEBAPP_VERSION

    public static final String WEBAPP_VERSION
    Name of the ServletContext attribute under which we store the web application version string (the text that appears after ## when parallel deployment is used).
    See Also:
      - Constant Field Values

  - ### SSI_FLAG_ATTR

    @Deprecated public static final String SSI_FLAG_ATTR
    Deprecated.
    Unused. This is no longer used as the CGIO servlet now has generic handling for when it is used as an include. This will be removed in Tomcat 10
    The servlet context attribute under which we store a flag used to mark this request as having been processed by the SSIServlet. We do this because of the pathInfo mangling happening when using the CGIServlet in conjunction with the SSI servlet. (value stored as an object of type String)
    See Also:
      - Constant Field Values

  - ### JASPER_XML_VALIDATION_TLD_INIT_PARAM

    public static final String JASPER_XML_VALIDATION_TLD_INIT_PARAM
    Name of the ServletContext init-param that determines if the JSP engine should validate *.tld files when parsing them.

    This must be kept in sync with org.apache.jasper.Constants

    See Also:
      - Constant Field Values

  - ### JASPER_XML_BLOCK_EXTERNAL_INIT_PARAM

    public static final String JASPER_XML_BLOCK_EXTERNAL_INIT_PARAM
    Name of the ServletContext init-param that determines if the JSP engine will block external entities from being used in *.tld, *.jspx, *.tagx and tagplugin.xml files.

    This must be kept in sync with org.apache.jasper.Constants

    See Also:
      - Constant Field Values

  - ### CATALINA_HOME_PROP

    public static final String CATALINA_HOME_PROP
    Name of the system property containing the tomcat product installation path
    See Also:
      - Constant Field Values

  - ### CATALINA_BASE_PROP

    public static final String CATALINA_BASE_PROP
    Name of the system property containing the tomcat instance installation path
    See Also:
      - Constant Field Values

  - ### STRICT_SERVLET_COMPLIANCE

    public static final boolean STRICT_SERVLET_COMPLIANCE
    The flag which controls strict servlet specification compliance. Setting this flag to `true` will change the defaults for other settings.

  - ### IS_SECURITY_ENABLED

    public static final boolean IS_SECURITY_ENABLED
    Has security been turned on?

  - ### DEFAULT_MBEAN_DOMAIN

    public static final String DEFAULT_MBEAN_DOMAIN
    Default domain for MBeans if none can be determined
    See Also:
      - Constant Field Values

  - ### CONTENT_TYPE_FORM_URL_ENCODING

    public static final String CONTENT_TYPE_FORM_URL_ENCODING
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Globals

    public Globals()